Почему мы обновили PHP?

CISHost.ru долго откладывал обновление основной версии PHP на серверах виртуального хостинга. До 2022 года мы использовали PHP 5.6 по умолчанию, но пришло время выполнить обновление.

❗Немного предистории:
Релиз PHP 5.6 состоялся 28 августа 2014 года и активная поддержка осуществлялась вплоть до начала 2017 года — добавлялись новые функции, исправлялись ошибки, закрывались уязвимости.
Одновременно с этим, команда PHP занималась разработкой новой версии и в конце 2015 года был выпущен PHP 7.0.0.
Для PHP 5.6 разработчики выпускали обновления безопасности ещё 2 года с момента окончания поддержки, то есть последняя 5.6.40 была выпущена 10 января 2019 года.

В 2022-м году многие современные CMS и Frameworks при установке требуют PHP версии 7 или выше. Уже дошло до того, что одна из самых популярных систем — Wordpress, сообщает администратору сайта о том что версия PHP на сервере устарела и необходимо выполнить обновление.

❗Почему мы обновились:
По заверениям разработчиков PHP, версия 7 потребляет значительно меньше памяти и практически в 2 раза быстрее чем PHP 5.6.
На хостинге PHP может работать как встроенный модуль web-сервера Apache или в режиме CGI — порождая дочерние процессы при каждом обращении к скрипту.
С точки зрения производительности — в режиме mod_php для Apache скрипты работают быстрее чем работали бы в CGI.
На не хотелось бы лишать новые версии производительности, по этому PHP в режиме «Как модуль Apache» был обновлён до 7.4.
Стоит отметить что версия 7.4 к концу 2022 года так же завершит свой жизненный цикл и не будет получать обновления безопасности.

Нет комментариев